Debian Bug report logs - #283493
ITP: ossp-uuid -- OSSP uuid ISO-C and Perl application programming interface

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Piotr Roszatycki <dexter@debian.org>

Date: Mon, 29 Nov 2004 12:33:02 UTC

Severity: wishlist

Fixed in version ossp-uuid/1.1.1-1

Done: Piotr Roszatycki <dexter@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#283493; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Piotr Roszatycki <dexter@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Piotr Roszatycki <dexter@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: ossp-uuid -- OSSP uuid ISO-C and Perl application programming interface
Date: Mon, 29 Nov 2004 13:15:51 +0100
Package: wnpp
Severity: wishlist

* Package name    : ossp-uuid
  Version         : 1.1.1
  Upstream Author : Ralf S. Engelschall <rse@engelschall.com>
* URL             : http://www.ossp.org/pkg/lib/uuid/
* License         : BSD
  Description     : OSSP uuid ISO-C and Perl application programming interface

OSSP uuid is a ISO-C and Perl application programming interface (API) and
corresponding command line interface (CLI) for the generation of DCE 1.1 and
ISO/IEC 11578:1996 compliant Universally Unique Identifiers (UUID). It
supports DCE 1.1 variant UUIDs of version 1 (time and node based), version 3
(name based) and version 4 (random number based). 

The library was renamed from libuuid to libossp-uuid to prevent name clash
with e2fsprogs's libuuid.

The source package provides libossp-uuid11 and libossp-uuid-dev packages for C API
and libossp-uuid-perl for Perl API.

Also I'll provide the wrapper which will emulate Data::UUID perl module. The Data::UUID
module is not free software (no license file) but it is commonly used by other
CPAN modules.


-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (900, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.9-1-686
Locale: LANG=pl_PL, LC_CTYPE=pl_PL (charmap=ISO-8859-2)



Reply sent to Piotr Roszatycki <dexter@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Piotr Roszatycki <dexter@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 283493-close@bugs.debian.org (full text, mbox):

From: Piotr Roszatycki <dexter@debian.org>
To: 283493-close@bugs.debian.org
Subject: Bug#283493: fixed in ossp-uuid 1.1.1-1
Date: Sun, 19 Dec 2004 00:46:18 -0500
Source: ossp-uuid
Source-Version: 1.1.1-1

We believe that the bug you reported is fixed in the latest version of
ossp-uuid, which is due to be installed in the Debian FTP archive:

libossp-uuid-dev_1.1.1-1_i386.deb
  to pool/main/o/ossp-uuid/libossp-uuid-dev_1.1.1-1_i386.deb
libossp-uuid-perl_1.1.1-1_i386.deb
  to pool/main/o/ossp-uuid/libossp-uuid-perl_1.1.1-1_i386.deb
libossp-uuid11_1.1.1-1_i386.deb
  to pool/main/o/ossp-uuid/libossp-uuid11_1.1.1-1_i386.deb
ossp-uuid_1.1.1-1.diff.gz
  to pool/main/o/ossp-uuid/ossp-uuid_1.1.1-1.diff.gz
ossp-uuid_1.1.1-1.dsc
  to pool/main/o/ossp-uuid/ossp-uuid_1.1.1-1.dsc
ossp-uuid_1.1.1.orig.tar.gz
  to pool/main/o/ossp-uuid/ossp-uuid_1.1.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 283493@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Piotr Roszatycki <dexter@debian.org> (supplier of updated ossp-uuid package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu,  2 Dec 2004 14:51:37 +0100
Source: ossp-uuid
Binary: libossp-uuid-dev libossp-uuid-perl libossp-uuid11
Architecture: source i386
Version: 1.1.1-1
Distribution: unstable
Urgency: low
Maintainer: Piotr Roszatycki <dexter@debian.org>
Changed-By: Piotr Roszatycki <dexter@debian.org>
Description: 
 libossp-uuid-dev - OSSP uuid ISO-C - headers and static libraries
 libossp-uuid-perl - perl OSSP::UUID - OSSP uuid Perl Binding
 libossp-uuid11 - OSSP uuid ISO-C - shared library
Closes: 283493
Changes: 
 ossp-uuid (1.1.1-1) unstable; urgency=low
 .
   * Initial Debian version. Closes: #283493.
Files: 
 f0aff801070059ab1d0ff721165a46b7 641 libs optional ossp-uuid_1.1.1-1.dsc
 6804875a1e57ee100f12400d98c33c66 396750 libs optional ossp-uuid_1.1.1.orig.tar.gz
 d6e56089f158529dcef89df7168af928 7002 libs optional ossp-uuid_1.1.1-1.diff.gz
 9de2a408a655e42a44033e36ff2f84cf 30808 libs optional libossp-uuid-dev_1.1.1-1_i386.deb
 b4c76749e2ce37f316d6cdc94b41158a 25318 libs optional libossp-uuid11_1.1.1-1_i386.deb
 f0928cdce2ef4d9176489ce7cebcb7df 19722 libs optional libossp-uuid-perl_1.1.1-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFBryEchMHHe8CxClsRAj5qAJ42g1uaQAIoX6ALBfkBt8xLahtsIgCdFxTM
zvgmFy9p7VjdkkOk7GD3IRk=
=P2Mu
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:38:14 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.